> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinity.swiss/llms.txt
> Use this file to discover all available pages before exploring further.

# List fiscal years

> Lists all fiscal years of the organisation, including closed ones.

Ledger entries can only be posted to dates within an open fiscal year. Once a fiscal year has been closed, its bookings can no longer be changed.

## Fiscal years and ledger entries

Ledger entries can only be posted to dates within an open fiscal year. Use this endpoint to find out which periods currently accept bookings before [posting a ledger entry](/api/accounting/create), or to determine the period to [find ledger entries](/api/accounting/find) in.

Fiscal years are returned oldest first. Closed fiscal years are included with `isClosed` set to `true`, so you can tell which periods are final.


## OpenAPI

````yaml GET /v1/fiscal-years
openapi: 3.1.0
info:
  title: infinity.swiss Open API
  version: '1.0'
  summary: ''
servers:
  - url: https://api.infinity.swiss
security:
  - apiKey: []
paths:
  /v1/fiscal-years:
    get:
      tags: []
      summary: List fiscal years
      description: >-
        Lists all fiscal years of the organisation, including closed ones.


        Ledger entries can only be posted to dates within an open fiscal year.
        Once a fiscal year has been closed, its bookings can no longer be
        changed.
      operationId: find-fiscal-years-v1
      responses:
        '200':
          description: The fiscal years of the organisation, oldest first.
          content:
            application/json:
              schema:
                type: object
                required:
                  - fiscalYears
                properties:
                  fiscalYears:
                    type: array
                    items:
                      $ref: '#/components/schemas/FiscalYear'
        '401':
          $ref: '#/components/responses/Unauthorised'
components:
  schemas:
    FiscalYear:
      title: FiscalYear
      type: object
      description: A fiscal year of the organisation.
      required:
        - id
        - from
        - to
        - isClosed
      properties:
        id:
          type: string
          description: A unique hex identifier for the fiscal year.
          example: 686f1b2ce9500b3ffe4bbc71
        from:
          type: string
          format: date
          description: The first day of the fiscal year in YYYY-MM-DD format.
          example: '2025-01-01'
        to:
          type: string
          format: date
          description: The last day of the fiscal year in YYYY-MM-DD format.
          example: '2025-12-31'
        isClosed:
          type: boolean
          description: >-
            Whether the fiscal year has been closed. Ledger entries can only be
            posted to open fiscal years.
  responses:
    Unauthorised:
      description: >-
        An unauthorised request was submitted. You may be using an incorrect or
        expired API token, or are attempting to access a document outside of the
        scope of the token.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                x-stoplight:
                  id: 08hkw8ukmi2lp
                description: Specific error code
          examples:
            Unauthorised request:
              value:
                code: general/unauthorised
  securitySchemes:
    apiKey:
      name: x-api-token
      type: apiKey
      in: header
      description: >-
        API token for authentication. Obtain from your Infinity account
        settings.

````